#
# spec file for package suselinux-reference_de (Version 8.0.0.10)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib l2h l2h-pngicons libgimpprint libjpeg libnetpbm libpng-devel-packages libtiff netpbm susedoc te_ams te_mpost te_pdf te_pscm tetex xpdf xshared
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd l2h l2h-pngicons less libgimpprint libjpeg libnetpbm libpng libpng-devel libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace susedoc syslogd sysvinit te_ams te_latex te_mpost te_pdf te_pscm tetex texinfo textutils timezone unzip util-linux vim xpdf xshared

Name:         suselinux-reference_de
Version:      8.0.0.10
Release:      73
Source:       suselinux-reference_de-%{version}.tar.bz2
Source1:      decomment.pl
#Source2:      ascii-axp_de.tar.gz
Patch:        sl-ref-sysmess.diff
Patch1:       sl-ref-table.diff
Patch2:       suselinux-reference_de-8.0.0.10-drucken.diff
Patch3:       suselinux-reference_de-8.0.0.10-bootkonzept.diff
Provides:     network_de
Obsoletes:    network_de
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Documentation/SuSE
Copyright:    SuSE GmbH
Requires:     l2h-pngicons
Summary:      SuSE Linux Reference (German)
%define MYDOC %{_defaultdocdir}/suselinux-reference_de
%define SUSEHTML %{_datadir}/doc/suse
%define MYHTML %{SUSEHTML}/reference-de
%define TEXDIR /usr/share/texmf/tex/latex/susebook
%define verbose_name SuSE-Linux-Reference
#% define old_name SuSE-Network

%description
SuSE Linux Reference (German).

SuSE series: doc

%prep
# needed xxx forbuild  ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib libjpeg libpng-devel-packages libtiff netpbm susedoc te_ams te_mpost te_pdf te_pscm tetex xpdf xshared libnetpbm freetype2 libgimpprint
# "Not useful on other architectures" && exit 1
%ifarch i386 ppc
%setup -q
%patch
%patch -p 1 -P 2
%patch -P 3
%endif

%build
%ifarch i386
make x86
%endif
%ifarch ppc
make ppc
%endif
%ifarch i386 ppc
# ImageMagick freetype2 l2h susebook2html susebook
# #susebook2html
# /usr/lib/susebook2html/sb2h.sh de
make pdfbuch
[ -f main.pdf ] || { echo "missing main.pdf: PDF creation failed"; exit 1;}
e=$(pdfinfo main.pdf 2>&1 | head -1 | grep ^Error || true)
[ -z "$e" ] || { echo "broken PDF file"; exit 1;}
# pdftops main.pdf test-main.ps
mv main.pdf %{verbose_name}-%{version}.pdf
html=yes
if [ -n "$html" ]; then
  cp %{S:1} .
  patch < %{P:1}
  cp /usr/share/texmf/makeindex/susedoc/susedoc.perl .
  cp Ablage/* .
  for f in *.tex ; do
    cp $f t-$f
    sed -e 's:\(\\begin{PPC}\):\
\1:' -e 's:\(\\end{PPC}\):\1\
:' t-$f | perl ./decomment.pl > $f
  done
  mkdir -p arch
  mv *ppc_* arch
  latex2html -split 3 main.tex
  mv main html
  rm -f html/WARNINGS html/images.* html/*.pl
fi
%endif

%install
%ifarch i386 ppc
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%endif
# # html start
# install -d $RPM_BUILD_ROOT%{SUSEHTML}
# install -d $RPM_BUILD_ROOT%{MYHTML}
# install -d $RPM_BUILD_ROOT%{MYHTML}/html
# install -d $RPM_BUILD_ROOT%{MYHTML}/bilder-png
# install -m 0644 main/main/* $RPM_BUILD_ROOT%{MYHTML}/html
# install -m 0644 main/bilder-png/* $RPM_BUILD_ROOT%{MYHTML}/bilder-png
# rm -f $RPM_BUILD_ROOT%{MYHTML}/bilder-png/*.{bb,eps}
# install -m 0644 %{TEXDIR}/suse-logo.png  %{TEXDIR}/hinweis-sw-2x2.png \
#                 %{TEXDIR}/tip-sw-2x2.png %{TEXDIR}/achtung-sw-2x2.png \
#              $RPM_BUILD_ROOT%{MYHTML}/bilder-png
# # html end

%post
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC}
  rm -f %{verbose_name}.pdf
  ln -s %{verbose_name}-%{version}.pdf %{verbose_name}.pdf
popd
fi

%preun
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC}
  rm -f %{verbose_name}.pdf
  popd
fi

%files
%ifarch i386 ppc
%doc %{verbose_name}-%{version}.pdf
%doc html
# %dir %{SUSEHTML}
# %{MYHTML}
# html
%endif

%changelog -n suselinux-reference_de
* Wed Apr 17 2002 - ke@suse.de
- Apply suselinux-reference_de-8.0.0.10-bootkonzept.diff to move more
  boot variables to proper locations.
* Tue Apr 16 2002 - ke@suse.de
- Apply suselinux-reference_de-8.0.0.10-drucken.diff to fix \datei
  environments (escape curly braces in PostScript code examples to
  prevent pseudoverb from eating them).
  Reported by Johannes Meixner.
* Sat Mar 23 2002 - kukuk@suse.de
- Add requires for png icons, remove tmp files from html directory
- add l2h-pngicons to neededforbuild
* Fri Mar 22 2002 - ke@suse.de
- Hack to skip PPC related sections; reported by Chris Schlaeger
  [# 15378].
- Don't try to process a strange table for HTML.
* Fri Mar 15 2002 - ke@suse.de
- Enable HTML output; [# 13759].
* Fri Mar 08 2002 - ke@suse.de
- Apply sl-ref-sysmess.diff to make it work with the the susedoc
  upgrade.
* Mon Mar 04 2002 - ke@suse.de
- Update to version 8.0.0.10.
* Mon Feb 18 2002 - ke@suse.de
- Update to version 8.0.0.5.
- Deal in spec file with architectures != i386 [# 12243].
* Wed Feb 13 2002 - ke@suse.de
- Update to version 8.0.0.4.
* Mon Feb 04 2002 - ke@suse.de
- Update to version 8.0.0.2 (for testing).
- Drop several neededforbuild entries (at the moment we don't call
  LaTeX2HTML); add xpdf because we want to verify resulting PDF files
  using pdfinfo.
- Test whether the PDF file is valid.
* Sat Feb 02 2002 - ro@suse.de
- added libgimpprint to neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Oct 01 2001 - ke@suse.de
- Fix hyphenation problem.
* Thu Sep 13 2001 - ke@suse.de
- Update to 7.3.0.6 (bugfixes).
- Don't install *.eps files.
* Tue Aug 28 2001 - ke@suse.de
- Update to 7.3.0.5 (final).
* Thu Aug 16 2001 - utuerk@suse.de
- Update to 7.3.0.3
- enabled HTML
* Wed Aug 01 2001 - ke@suse.de
- Update to version 7.3.0.1.
- At the moment no HTML.
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Tue May 08 2001 - ke@suse.de
- Fix docdir.
* Thu May 03 2001 - utuerk@suse.de
- Update to 7.2.0.5.
- added html-version
- added conf-file for susehelp
* Tue Apr 10 2001 - ke@suse.de
- Update to version 7.2.0.4.
- Use make %%{_arch} (thanks to Throsten Kukuk).
* Fri Apr 06 2001 - kukuk@suse.de
- Abort on all "not supported" plattforms to avoid problems later.
* Fri Apr 06 2001 - ke@suse.de
- Version 7.2.0.2.
